### A free/open-source library for quantitative finance

Public Member Functions
AnalyticPTDHestonEngine Class Reference
Vanilla option engines

analytic piecewise constant time dependent Heston-model engine More...

`#include <ql/pricingengines/vanilla/analyticptdhestonengine.hpp>`

Inheritance diagram for AnalyticPTDHestonEngine:
[legend]

List of all members.

## Public Member Functions

| AnalyticPTDHestonEngine (const boost::shared_ptr< PiecewiseTimeDependentHestonModel > &model, Real relTolerance, Size maxEvaluations)
| AnalyticPTDHestonEngine (const boost::shared_ptr< PiecewiseTimeDependentHestonModel > &model, Size integrationOrder=144)
void | calculate () const

## Detailed Description

analytic piecewise constant time dependent Heston-model engine

References:

Heston, Steven L., 1993. A Closed-Form Solution for Options with Stochastic Volatility with Applications to Bond and Currency Options. The review of Financial Studies, Volume 6, Issue 2, 327-343.

J. Gatheral, The Volatility Surface: A Practitioner's Guide, Wiley Finance

A. Elices, Models with time-dependent parameters using transform methods: application to Heston’s model, http://arxiv.org/pdf/0708.2020